<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumPermissionsCacheTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_permissions_cache', function (Blueprint $table) {
            $table->unsignedInteger('user_id')->nullable(true);
            $table->unsignedInteger('album_id');
            $table->unsignedInteger('permission_id');
            $table->timestamps();

            $table->foreign('user_id')
                ->references('id')->on('users')
                ->onDelete('cascade');
            $table->foreign('album_id')
                ->references('id')->on('albums')
                ->onDelete('cascade');
            $table->foreign('permission_id')
                ->references('id')->on('permissions')
                ->onDelete('no action');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_permissions_cache');
    }
}
